%define pkg_name        subs-parallel
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.1

Summary:       Enables subroutines to seamlessly run in parallel
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/subs/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(threads)
BuildRequires: perl(Exporter)


%description
This module gives Perl programmers the ability to easily and conveniently
create multi-threaded applications through parallel subroutines.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}
%{fix_man Changes README}

%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.08
